Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface CertPathValidatorParametersSpi

All Superinterfaces:
  CertPathParameters, Cloneable

    public interface CertPathValidatorParametersSpi

extends CertPathParameters

This class contains the CertPathParameters that the CLV framework passes to the provider's JDK CertPathValidatorSpi implementation. They are used to help validate certificate chains.

Method Summary
`Object` | `clone()` This interface is not cloneable.
`CertPathProvider` | `getCertPathProvider()` Gets the provider's weblogic runtime implementation object that includes the state necessary for the provider's JKD implementation object to validate the `CertPath`.
`ContextHandler` | `getContext()` Gets a `ContextHandler` that may pass in extra parameters that can be used for validating the `CertPath`.
`X509Certificate[]` | `getTrustedCAs()` Gets a list of trusted certificate authorities that may be used for validating the `CertPath`.

Method Detail

### getCertPathProvider

    CertPathProvider getCertPathProvider()

  Gets the provider's weblogic runtime implementation object that includes the state necessary for the provider's JKD implementation object to validate the `CertPath`.

  Returns:
    The CertPathValidator's runtime implementation as a `CertPathProvider`.

### getTrustedCAs

    X509Certificate[] getTrustedCAs()

  Gets a list of trusted certificate authorities that may be used for validating the `CertPath`.

  Returns:
    a `X509Certificate[]` containing the trusted certificate authorities, may be null.

### getContext

    ContextHandler getContext()

  Gets a `ContextHandler` that may pass in extra parameters that can be used for validating the `CertPath`.

  Returns:
    a `ContextHandler`, may be null.

### clone

    Object clone()

  This interface is not cloneable.

  Specified by:
    `clone` in interface `CertPathParameters`
  Throws:
    `UnsupportedOperationException` - when called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD